﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/7cdc2969a641/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2022.3.3f1.exe'
$checksum64     = '150181250f223c6ef56ac48c2bbacfeb2130bde56263662268a68ac8feac3915'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
